<?php
/**
 * @package linea21.utils
 * @subpackage report_sdi
 * @author linea21 <info@linea21.com>
 * @version $id SVN
 * @access public
 * @license http://opensource.org/licenses/gpl-3.0.html
 * Define, compose and generate a SDI (Sustainable Development Indicators) PDF report
 */

set_time_limit(60*10);

define('INDEX_DEPTH', 1);	// profondeur de l'index

define('DOC_POLICE', 'vera');
define('DOC_STYLE', '');
define('DOC_SIZE', 9);
define('DOC_HEIGHT', 4);	// hauteur des cellules
define('DOC_INTERVAL', 3);	//integer -- marge entre paragraphe
define('PARAGRAPH_BREAK', 8);	//integer -- saut de lignes entre parties

define('GRAPH_WIDTH', 300);
define('GRAPH_HEIGHT', 200);

define('DOC_TITLE_SIZE', 18);
define('DOC_TITLE_STYLE', 'B');

define('EM_STYLE', 'I');
define('MIN_SIZE', 8);

define('SDI_TITLE_STYLE', 'B');
define('SDI_TITLE_SIZE', 10);

define('SDI_ITEM_STYLE', 'B');
define('SDI_ITEM_SIZE', 9);

define('SDI_INFO_STYLE', 'B');
define('SDI_INFO_SIZE', 10);

define('ARRAY_TITLE_STYLE', 'B');
define('ARRAY_TITLE_SIZE', 8);

define('ARRAY_DATA_STYLE', 'I');
define('ARRAY_DATA_SIZE', 8);


///////// DOCUMENT INFOS ////////////
$pdf->SetAuthor($report_settings['author']);
$pdf->SetCreator(SITE_LINEA_NAME);
$pdf->SetTitle($report_settings['title'] );
$pdf->SetKeywords($report_settings['title'] );
//////////////////////////////////


///////// INITIALISATION DU DOCUMENT ////////////
$pdf->SetDisplayMode('fullwidth', 'single');
$pdf->SetAutoPageBreak(true, 17);
$pdf->AliasNbPages();
$pdf->SetColor('DOC_COLOR');
$pdf->SetColor('DOC_COLOR_BORDER', 'TRACE');
$pdf->SetFont(DOC_POLICE, DOC_STYLE, DOC_SIZE);
/////////////////////////////////////////////////
?>